Get edge node events by id (GET /v1/devices/name/{objname}/events)
GET /api/v1/devices/name//events. Edge nodes API reference.
Get edge node events by id
Authentication · API availability · Download OpenAPI
A successful response.Unauthorized. The API gateway did not process the request because it lacks valid authentication credentials for the target resource. The request header has either no authorization details or an authorization that has been refused.Forbidden. The API gateway did not process the request because the requestor does not have edge-node level access permission for the operation or does not have access scope to the project.Not Found. The API gateway did not process the request because the requested resource could not be found.Internal Server Error. The API gateway experienced an unexpected condition. Specific error condition is indicated in error codes.Gateway Timeout. The API gateway did not receive a timely response from an upstream microservice it needed to communicate with in order to complete the request.An unexpected error response.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Path Parameters
Object name
Query Parameters
start time in timestamp
end time
severity
resource
Page Token
OrderBy helps in sorting the list response
Page Number
Defines the page size
Total number of pages to be fetched.
Response
A successful response.